com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ConditionValueSetCell

- All Superinterfaces:
    Cell, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject, ValueSetCell

      public interface ConditionValueSetCell
      extends ValueSetCell

  A representation of the model object 'Condition Value Set Cell'.

  The following features are supported:

  - `Condition`
  See Also:
    `DecisiontablePackage.getConditionValueSetCell()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Condition` | `getCondition()` Returns the value of the 'Condition' reference
    `void` | `setCondition(Condition value)` Sets the value of the '`Condition`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.ValueSetCell

      `getValueSet, setValueSet`

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.Cell

      `getParserOutput, getTooltip, setParserOutput, setTooltip`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCondition

          Condition getCondition()

      Returns the value of the 'Condition' reference.

      If the meaning of the 'Condition' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Condition' reference.
      See Also:
        `setCondition(Condition)`, `DecisiontablePackage.getConditionValueSetCell_Condition()`

    - #### setCondition

          void setCondition(Condition value)

      Sets the value of the '`Condition`' reference.
      Parameters:
        `value` - the new value of the 'Condition' reference.
      See Also:
        `getCondition()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.